Add a new entry to an inventory count
curl --request POST \
--url https://api.bold-factory.com/v1/warehouse/counts/{countReference}/locations/{locationReference}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skuReference": "<string>",
"lotId": "<string>",
"quantity": 123,
"comment": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/warehouse/counts/{countReference}/locations/{locationReference}/entries"
payload = {
"skuReference": "<string>",
"lotId": "<string>",
"quantity": 123,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
skuReference: '<string>',
lotId: '<string>',
quantity: 123,
comment: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/warehouse/counts/{countReference}/locations/{locationReference}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"countId": "<string>",
"locationId": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"lotId": "<string>",
"lot": {
"type": "Merged",
"firstLotId": "<string>",
"firstQuantity": 123,
"secondLotId": "<string>",
"secondQuantity": 123,
"id": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"code": "<string>",
"stock": 123,
"costPerUnit": {
"amount": 123,
"currency": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"comment": "<string>",
"stockAtCount": 123,
"countedQuantity": 123,
"plannedAdjustment": 123,
"countedAt": "2023-11-07T05:31:56Z"
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}Inventory Counts
Add a new entry to an inventory count
Requires Warehouse.Counts.Write permissions
POST
/
v1
/
warehouse
/
counts
/
{countReference}
/
locations
/
{locationReference}
/
entries
Add a new entry to an inventory count
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Cuerpo
application/json
Respuesta
Created
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
⌘I